Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		pstoedit
Version:	3.50
Release:	2
License:	GNU/GPL 
URL:		http://www.pstoedit.net/pstoedit
Group:		Utilities
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	pstoedit translates PostScript and PDF graphics into other vector formats.

# Sources
Source0:	%{name}-%{version}.tar.gz
# needed source for other packages
Source1:	pstoedit-config

# Patches
Patch0:		pstoedit-CXXFLAGS.patch
Patch1:		pstoedit-3.45-pedantic.patch
Patch2:		pstoedit-gcc43.patch
Patch3:		pstoedit-3.45-quiet.patch

# Manual build dependencies
BuildRequires:	dos2unix
BuildRequires:	ghostscript
BuildRequires:  libSM-devel
BuildRequires:	libXext-devel
BuildRequires:  libXt-devel
BuildRequires:  bzip2-devel
# bogus dependencies introduced by libtool ?
BuildRequires:  lcms-devel
BuildRequires:  libtiff-devel
BuildRequires:  fftw-devel

#Automatically resolved build dependencies
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: ImageMagick-devel
BuildRequires: libEMF-devel
BuildRequires: libgcc
BuildRequires: libgd-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXpm-devel
BuildRequires: plotutils-devel
BuildRequires: zlib-devel

%description
pstoedit translates PostScript and PDF graphics into other vector formats.
For more details see: http://www.pstoedit.net/pstoedit

%package	devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ImageMagick-devel
Requires:	libpng-devel

%description	devel
This package contains the header files needed for developing %{name}
applications

%post
ldconfig

%postun
ldconfig

%prep
%setup -q

#%patch0 
#%patch1 -p1
#%patch2
#%patch3 -p1
dos2unix doc/*.htm doc/readme.txt

%build
%configure \
--disable-static \
--with-emf \
--without-swf
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 doc/pstoedit.1 $RPM_BUILD_ROOT%{_mandir}/man1/
# config file
mkdir -p $RPM_BUILD_ROOT%_bindir
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%_bindir

%files
%defattr(-, root, root, -)
%doc copying doc/readme.txt doc/index.htm doc/pstoedit.htm
%_datadir
%_mandir
%_bindir/pstoedit
%_libdir/*.so.*
%_libdir/pstoedit

%files devel
%defattr(-, root, root, -)
%doc doc/changelog.htm
%_bindir
%_includedir
%_libdir/*.so
%_pkgconfig
%_aclocal
%_libdir/*.la
%_libdir/%{name}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.50-2
- rebuilt
* Sun Aug 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.50-1
- Version update
* Fri Dec 26 2008 Christian Wasem <wasem@ccux-linux.de> 3.45-6
- added pstoedit-config
* Fri Dec 26 2008 Christian Wasem <wasem@ccux-linux.de> 3.45-5
- rebuilt with automatic build dependencies
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.45-4
- rebuilt against ImageMagick++ 6.3.9.3
* Tue Oct 09 2007 Christian Wasem <wasem@ccux-linux.de> 3.45-3
- rebuild against new ImageMagick++
* Tue Oct 09 2007 Christian Metzen <metzench@ccux-linux.de> 3.45-2
- rebuild with quiet patch again
* Tue Oct 09 2007 Christian Wasem <wasem@ccux-linux.de> 3.45-1
- Version update
* Tue May 15 2007 Christian Metzen <metzench@ccux-linux.de> 3.44-1
- Version update
* Tue Nov 22 2005 Uli Schukraft <schukraft@ccux-linux.de> 3.40-3
- Removed unnecessary Obsoletes-Tag
* Sun Jul 03 2005 Christian Wasem <wasem@ccux-linux.de> 3.40-2
- added aclocal.patch  
* Sun Jul 03 2005 Christian Wasem <wasem@ccux-linux.de> 3.40-1
- Initial Release  
